#
# spec file for package ghc-magic
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name magic
Name:           ghc-%{pkg_name}
Version:        1.1
Release:        lp150.8.1
Summary:        Interface to C file/magic library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  file-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
This package provides a Haskell interface to the C libmagic library.
With it, you can determine the type of a file by examining its contents rather
than its name. The Haskell interface provides a full-featured binding.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       file-devel
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc COPYING

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.1 revision 0 with cabal2obs.
* Thu Apr 28 2016 psimons@suse.com
- Add another explicit run-time dependency on "file-devel" to make
  this package usable. Without that dependency, RPM would pull in
  only "libmagic1", which contains "libmagic.so.1" but not
  "libmagic.so". As a result, Haskell builds that try to link
  "-lmagic" would fail.
* Thu Apr 28 2016 psimons@suse.com
- Add missing system dependency "file-devel", which provides the
  libmagic library this code binds to.
* Sat Feb 13 2016 mimi.vx@gmail.com
- ghc-magic generated by st2obs scritpt
